%global commit 710055ef806817521195f8d733fc8c99e8f65530
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global debug_package %{nil}

Name:          znapzend
Version:       0.21.1
Release:       3.20230220git%{shortcommit}%{?dist}
Summary:       zfs backup with remote capabilities and mbuffer integration
License:       GPLv3+
Source:        https://github.com/oetiker/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildArch:     noarch
BuildRequires: perl-core
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: systemd autoconf automake
# For running 'make check'
BuildRequires: perl(Test::SharedFork)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Mojo::Base)
#BuildRequires: perl(Mojo::IOLoop::Delay)

%description
ZnapZend is a ZFS centric backup tool to create snapshots and send them to 
backup locations. It relies on the ZFS tools snapshot, send and receive to do 
its work. It has the built-in ability to manage both local snapshots as well as 
remote copies by thinning them out as time progresses.

%prep
%autosetup -n %{name}-%{commit}
autoreconf

%build
%configure --libdir %{perl_vendorlib}
# Hack: prevent installing stuff via CPAN
sed -i 's/thirdparty//g' Makefile 
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_unitdir}
cp init/znapzend.service %{buildroot}%{_unitdir}/znapzend.service

%check
make check

%files
%doc README.md CHANGES
%license LICENSE COPYRIGHT
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*
%{_unitdir}/*
